Bug 848213 - Review Request: cqrlog - An amateur radio contact logging program
Review Request: cqrlog - An amateur radio contact logging program
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clint Savage
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 18:32 EDT by eric@christensenplace.us
Modified: 2014-07-31 22:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-31 22:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
herlo1: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2012-08-14 18:32:27 EDT
Spec URL: http://sparks.fedorapeople.org/Packages/cqrlog.spec
SRPM URL: http://sparks.fedorapeople.org/Packages/cqrlog-1.5.1-1.fc17.src.rpm
Description: CQRLOG is an advanced ham radio logger based on MySQL database. Provides radio control based on hamlib libraries (currently support of 140+ radio types and models), DX cluster connection, QRZ callbook (web version), a grayliner, internal QSL manager database support and a most accurate country resolution algorithm based on country tables developed by OK1RR. CQRLOG is intended for daily general logging of HF, CW & SSB contacts and strongly focused on easy operation and maintenance.

Fedora Account System Username: sparks
Comment 1 eric@christensenplace.us 2012-08-14 18:35:33 EDT
$ rpmlint /var/lib/mock/fedora-17-x86_64/result/cqrlog-*
cqrlog.src: W: spelling-error %description -l en_US hamlib -> ham lib, ham-lib, Hamlin
cqrlog.src: W: spelling-error %description -l en_US callbook -> call book, call-book, callback
cqrlog.src: W: spelling-error %description -l en_US grayliner -> gray liner, gray-liner, pantyliner
cqrlog.x86_64: E: explicit-lib-dependency hamlib
cqrlog.x86_64: W: spelling-error %description -l en_US callbook -> call book, call-book, callback
cqrlog.x86_64: W: spelling-error %description -l en_US grayliner -> gray liner, gray-liner, pantyliner
cqrlog.x86_64: W: doc-file-dependency /usr/share/cqrlog/cqrlog-apparmor-fix /bin/bash
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/levents.pp
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/lcommon.pp
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/lnetcomponents.pas
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/ltelnet.pp
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/lnet.pp
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/lcontrolstack.pp
3 packages and 0 specfiles checked; 7 errors, 6 warnings.

The spelling errors are false positives.
The explicit-lib-dependency is necessary.
The incorrect-fsf-address errors have been reported to the developer as per the guidelines.
Comment 2 Clint Savage 2012-08-17 17:00:53 EDT
Sorry it took me a few days to get to this review. Ran into some weird issues with mock on my system. 

Here's the report from fedora-review:

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[!]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN" For detailed output of licensecheck see file:
     /home/clints/rpmbuild/848213-cqrlog/licensecheck.txt
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Rpmlint
-------
Checking: cqrlog-debuginfo-1.5.1-1.fc17.x86_64.rpm
          cqrlog-1.5.1-1.fc17.x86_64.rpm
          cqrlog-1.5.1-1.fc17.src.rpm
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/levents.pp
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/lcommon.pp
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/lnetcomponents.pas
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/ltelnet.pp
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/lnet.pp
cqrlog-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/cqrlog-1.5.1/src/lnet/lib/lcontrolstack.pp
cqrlog.x86_64: E: explicit-lib-dependency hamlib
cqrlog.x86_64: W: spelling-error %description -l en_US callbook -> call book, call-book, callback
cqrlog.x86_64: W: spelling-error %description -l en_US grayliner -> gray liner, gray-liner, pantyliner
cqrlog.x86_64: W: doc-file-dependency /usr/share/cqrlog/cqrlog-apparmor-fix /bin/bash
cqrlog.src: W: spelling-error %description -l en_US hamlib -> ham lib, ham-lib, Hamlin
cqrlog.src: W: spelling-error %description -l en_US callbook -> call book, call-book, callback
cqrlog.src: W: spelling-error %description -l en_US grayliner -> gray liner, gray-liner, pantyliner
3 packages and 0 specfiles checked; 7 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint cqrlog
cqrlog.x86_64: E: explicit-lib-dependency hamlib
cqrlog.x86_64: W: spelling-error %description -l en_US callbook -> call book, call-book, callback
cqrlog.x86_64: W: spelling-error %description -l en_US grayliner -> gray liner, gray-liner, pantyliner
cqrlog.x86_64: W: doc-file-dependency /usr/share/cqrlog/cqrlog-apparmor-fix /bin/bash
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'

Requires
--------
cqrlog-debuginfo-1.5.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

cqrlog-1.5.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    hamlib  
    libX11.so.6()(64bit)  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdl.so.2()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    mysql  
    mysql-server  
    trustedqsl  

Provides
--------
cqrlog-debuginfo-1.5.1-1.fc17.x86_64.rpm:
    
    cqrlog-debuginfo = 1.5.1-1.fc17
    cqrlog-debuginfo(x86-64) = 1.5.1-1.fc17

cqrlog-1.5.1-1.fc17.x86_64.rpm:
    
    cqrlog = 1.5.1-1.fc17
    cqrlog(x86-64) = 1.5.1-1.fc17

MD5-sum check
-------------
http://www.cqrlog.com/files/cqrlog_1.5.1/cqrlog_1.5.1.deb.src.tar.gz :
  MD5SUM this package     : aebbd9432745f14fbc412f1fec4364cc
  MD5SUM upstream package : aebbd9432745f14fbc412f1fec4364cc


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -v -b 848213

All of it looks good considering you documented the errors in rpmlint. I'll perform a final review early next week and then approve.
Comment 3 eric@christensenplace.us 2012-08-18 07:54:38 EDT
I see where I didn't properly handle the desktop file.  I'll fix that now and upload the new SRPM and SPEC.
Comment 4 eric@christensenplace.us 2012-08-19 08:09:04 EDT
The desktop file has validated in SPEC file and the build completes without problems.
Comment 5 Clint Savage 2012-08-26 23:53:23 EDT
Eric,

Did you want to upload a new spec then? Or am I using the original?
Comment 6 Clint Savage 2012-08-26 23:54:50 EDT
Original link, that is... (Black Gold, Texas Tea --The Beverly Hillbillies)
Comment 7 eric@christensenplace.us 2012-08-27 08:16:19 EDT
Original link should work.
Comment 8 Clint Savage 2012-09-05 23:25:01 EDT
Can you edit your spec to remove the space after the license? fedora-review flagged it as an improper license. Picky, I know.

Otherwise, everything is good on this package. I'm approving it now. Thanks for your patience and hard work!
Comment 9 eric@christensenplace.us 2012-09-06 05:41:53 EDT
New Package SCM Request
=======================
Package Name: cqrlog
Short Description: An amateur radio contact logging program
Owners: sparks
Branches: F18 F17
InitialCC:
Comment 10 Gwyn Ciesla 2012-09-06 06:40:48 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-09-06 19:52:59 EDT
cqrlog-1.5.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cqrlog-1.5.1-1.fc17
Comment 12 Fedora Update System 2012-09-06 19:53:49 EDT
cqrlog-1.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cqrlog-1.5.1-1.fc18
Comment 13 Fedora Update System 2012-09-07 07:35:18 EDT
cqrlog-1.5.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2012-09-17 19:25:04 EDT
cqrlog-1.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2012-09-18 23:06:53 EDT
cqrlog-1.5.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Eric Christensen 2014-01-17 09:07:52 EST
Package Change Request
======================
Package Name: cqrlog
New Branches: epel7
Owners: Sparks
Comment 17 Gwyn Ciesla 2014-01-17 09:33:32 EST
Git done (by process-git-requests).

Fixed fas user.

Note You need to log in before you can comment on or make changes to this bug.